httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Amy <l...@ash.st>
Subject [users@httpd] Mod_perl
Date Fri, 02 May 2003 01:57:57 GMT
Hi All, 

I am trying to install WebCal with perl_mod and I am having a little 
difficulty.  I am also on the WebCal mailing list but I think my problem has 
more to do with Apache and I was hoping someone could point me in the right 
direction.   I inserted this field in my commonhttpd.conf running Mandrake 
9.1........

    <IfModule mod_perl.c>
        #Provide two aliases to the same cgi-bin directory,
        #to see the effects of the 2 different mod_perl modes
        #for Apache::Registry Mode
        Alias /perl/ /var/www/perl/
        #for Apache::Perlrun Mode
        Alias /cgi-perl/ /var/www/perl/
    </IfModule>


#==webcal==Bgn==
#
<IfModule mod_perl.c>
  Alias /y/ /var/www/webcal/bin/
  <Location /y>
    AllowOverride All
    SetHandler perl-script
    PerlHandler Apache::Registry
    PerlSendHeader On
    PerlRequire "/var/www/webcal/bin/startup.pl"
    Options +ExecCGI
  </Location>
</IfModule>

Alias /i/ "/var/www/webcal/webcal_icons/"

<Directory "/var/www/webcal/webcal_icons">
    Options Indexes MultiViews
    AllowOverride All
    Order allow,deny
    Allow from all
</Directory>
#
#==webcal==End==

after running the install program and it told me to do this......

=========================================================================================
Please configure your webserver to use the following CGI directories

Server=ash.st, cgidir=/var/www/webcal/bin

Server=ash.st, cgidir=/usr/local/apache/cgi-bin/wcal cginame=/y/x

and when I restart httpd....this is my log.....

[root@kade webCal2.8.6]# service httpd restart
Re-creating /etc/httpd/extramodules
Shutting down httpd-perl:                                       [  OK  ]
Re-creating /etc/httpd/extramodules
Starting httpd-perl:                                            [  OK  ]
Starting httpd2: Syntax error on line 283 of 
/etc/httpd/2.0/conf/commonhttpd.conf:
PerlRequire not allowed here
                                                                [FAILED]
 I am not sure where I went wrong.....can anyone give me some advise so I can 
get this program up and running?  I would greatly appreciate any help.

here are the apache versions I have installed...
 	Class 	Description
	apache 1.3.27-8mdk 	
	apache-conf 2.0.44-11mdk 	
	apache-mod_perl 1.3.27_1.27-7mdk 	
	apache-modules 1.3.27-8mdk 	
	apache2 2.0.45-4.2mdk 	
	apache2-common 2.0.45-4.2mdk 	
	apache2-mod_perl 2.0.44_1.99_08-3mdk 	
	apache2-mod_php 2.0.44_4.3.1-2mdk 	
	apache2-mod_ssl 2.0.45-4.2mdk 	
	apache2-mod_suexec 2.0.44-2mdk 	
	apache2-modules 2.0.45-4.2mdk 	
	libapr0 2.0.45-4.2mdk 	
	mod_perl-common 1.3.27_1.27-7mdk 	

=========================================================================================

-- 
~~~~~~~~~~~~~~
Amy Anderson

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message